
%define rel 1

%define pclo 1

%{?_with_pclo: %global pclo 1}
%{?_without_pclo: %global pclo 0}

%if %pclo
%define release	%mkrel %rel
%else
%define distinitials mdv
%define distversion %(rpm -qf --qf='%{VERSION}' /etc/mandrake-release)
%define disttag %{distinitials}%{distversion}
%define release %rel.%{disttag}.mde
%endif

# I don't want these stupid debug rpms
%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

%define major   2
%define libname      %mklibname %name %major

Name:		vde
Version:	2.1.6
Release:	%release
Summary:	Virtual Distributed Ethernet
Group: 		Networking/Other
License:	GPL
URL:		http://sourceforge.net/projects/vde
Source0:	%{name}2-%{version}.tar.bz2
Source1: ifup-vde
Source2: ifdown-vde
Patch0: %{name}-qemu-ports-init.patch
Patch1: %{name}-pidfile-buffer-size.patch
Patch2: %{name}-error-handling.patch
Patch3: %{name}-group-owner.patch
Patch4: %{name}-qemu.patch
Patch5: %{name}-qemu-cleanup.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: %libname

%description
 VDE: Virtual Distributed Ethernet. It creates the 
abstraction of a virtual ethernet: a single vde can 
be accessed by virtual and real computers.

%package -n %{libname}
Summary: VDE libraries
Group: Networking/Other

%description -n %{libname}
Library files for VDE

%package -n %{libname}-devel
Summary:    Development files for %{name}
Group:      Development/C
Requires:   %libname = %version-%release

%description -n %{libname}-devel
This package contains files needed in order to develop an application
that made use of %{name}.

%prep
%setup -q -n %{name}2-%{version}
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1

%build
%configure --disable-static
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
#rm -f $RPM_BUILD_ROOT%{_libdir}/libvdetap.a
#rm -f $RPM_BUILD_ROOT%{_libdir}/libvdetap.la
# Fix symlink to be relative
#rm -f $RPM_BUILD_ROOT%{_bindir}/vdeqemu
#ln -s vdeq $RPM_BUILD_ROOT%{_bindir}/vdeqemu

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/network-scripts
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/
cp %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc INSTALL LICENSE README VERSION COPYING
/etc/sysconfig/network-scripts/ifup-vde
/etc/sysconfig/network-scripts/ifdown-vde
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/vdetap
%{_libdir}/*.so.*
%_libdir/%{name}2/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%_libdir/*.la
%_libdir/*.so
%_libdir/%{name}2/*.la
%_includedir/*.h


%changelog
* Wed Dec 27 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 2.1.6-1
- initial build for pclinuxos 2007

* Wed Aug 02 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 2.0.1-7
- Rebuild for mde

* Mon Feb 20 2006  <berrange@localhost.localdomain> - 2.0.1-6
- Cleanup qemu process on quit

* Mon Feb 20 2006  <berrange@localhost.localdomain> - 2.0.1-5
- Fix for vdeq command line arg processing

* Mon Jan 16 2006  <berrange@merton.london.redhat.com> - 2.0.1-4
- Added ifup-vde and ifdown-vde scripts

* Mon Jan 16 2006  <berrange@merton.london.redhat.com> - 2.0.1-3
- Fixed numerous bugs
- Allow group owner for data socket to be set

* Thu Jan 12 2006 Daniel Berrange <berrange@redhat.com> - 2.0.1-1
- Initial packaging

